package com.yeejoin.amos.api.openapi.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.HashMap;
import java.util.Map;

@AllArgsConstructor
@Getter
public enum EightCategorySubformEnum {

    //起重机械
    SAFETYPROTECTIONDEVICE("safetyProtectionDevice", "mid_equip_protection_devices","com.yeejoin.amos.api.openapi.face.orm.entity.ProtectionDevices","com.yeejoin.amos.api.openapi.face.service.ProtectionDevicesServiceImpl"),
    MAINPART("mainPart", "mid_equip_main_parts","com.yeejoin.amos.api.openapi.face.orm.entity.MainParts","com.yeejoin.amos.api.openapi.face.service.MainPartsServiceImpl"),
    //厂车
    MAINPARTS("mainParts", "mid_equip_main_parts","com.yeejoin.amos.api.openapi.face.orm.entity.MainParts","com.yeejoin.amos.api.openapi.face.service.MainPartsServiceImpl"),
    //索道
    MAINCOMPONENTS("mainComponents", "mid_equip_main_parts","com.yeejoin.amos.api.openapi.face.orm.entity.MainParts","com.yeejoin.amos.api.openapi.face.service.MainPartsServiceImpl"),
    //锅炉
    SAFETYACCESSORIESANDRELATEDDEVICES("safetyAccessoriesAndRelatedDevices", "mid_equip_protection_devices","com.yeejoin.amos.api.openapi.face.orm.entity.ProtectionDevices","com.yeejoin.amos.api.openapi.face.service.ProtectionDevicesServiceImpl"),
    //压力容器
    FIXEDSAFETYACCESSORY("fixedSafetyAccessory", "mid_equip_protection_devices","com.yeejoin.amos.api.openapi.face.orm.entity.ProtectionDevices","com.yeejoin.amos.api.openapi.face.service.ProtectionDevicesServiceImpl"),
    GASCYLINDER("gasCylinder", "mid_equip_main_parts","com.yeejoin.amos.api.openapi.face.orm.entity.MainParts","com.yeejoin.amos.api.openapi.face.service.MainPartsServiceImpl"),
    GASCYLINDERACCESSORIES("gasCylinderAccessories", "mid_equip_protection_devices","com.yeejoin.amos.api.openapi.face.orm.entity.ProtectionDevices","com.yeejoin.amos.api.openapi.face.service.ProtectionDevicesServiceImpl"),
    //压力管道
    PIPEINFO("pipeInfo", "mid_equip_main_parts","com.yeejoin.amos.api.openapi.face.orm.entity.MainParts","com.yeejoin.amos.api.openapi.face.service.MainPartsServiceImpl");


    String code;
    String value;
    String classPath;
    String servicePath;
    public static Map<String,String> classPathmap = new HashMap<>();
    public static Map<String,String> servicePathmap = new HashMap<>();

    static {
        for(EightCategorySubformEnum e: EightCategorySubformEnum.values()){
            classPathmap.put(e.code, e.classPath);
            servicePathmap.put(e.code, e.servicePath);
        }
    }
}
